set terminal pdf enhanced color solid  fsize 13 size 12cm,12cm
set pointsize 1.5
set output "cormagU.pdf"
set style data points
set xlabel "Magnitude of velocity in experiment [m/s]"
set ylabel "Magnitude of velocity in CFD [m/s]"
set xrange [0:3]
set yrange [0:3]
set xtics 0.5
set ytics 0.5
set size square 1,1
set xzeroaxis
set yzeroaxis
set key bottom
set grid
set key left top Left reverse box lw 0 samplen 0.075
f(x)=a*x+b
fit f(x) "< paste data/aveRawVelocityCSV_SimRegion.txt sets/latestTime/measuring_magU_k.xy" using 4:12 via a,b
set label "y=a*x+b",a  at 1.75,2.9
set label "a=%6.4f",a  at 1.75,2.75
set label "b=%6.4f",b  at 1.75,2.6

R2=`paste data/aveRawVelocityCSV_SimRegion.txt sets/latestTime/measuring_magU_k.xy | awk 'BEGIN {n=0;sse=0;xmean=0;x2sum=0;sst=0} {n++;x=$4;y=$12;e=y-x;sse+=e*e;xmean+=x;x2sum+=x*x} END {xmean/=n;sst=(x2sum/n-xmean**2)*n;ssr=sst-sse;r2=ssr/sst;print r2}' `
set label "R^2=%.3g(for y=x)", R2  at 1.6,0.25 
plot \
"< paste data/aveRawVelocityCSV_SimRegion.txt sets/latestTime/measuring_magU_k.xy | awk '(sqrt($1**2+$2**2+$3**2) < 0.5) {print $4,$12}'" using 1:2 title "r<0.5" with p\
,"< paste data/aveRawVelocityCSV_SimRegion.txt sets/latestTime/measuring_magU_k.xy | awk '((sqrt($1**2+$2**2+$3**2) >= 0.5)&&(sqrt($1**2+$2**2+$3**2) < 1.0)) {print $4,$12}'" using 1:2 title "0.5<r<1" with p\
,"< paste data/aveRawVelocityCSV_SimRegion.txt sets/latestTime/measuring_magU_k.xy | awk '((sqrt($1**2+$2**2+$3**2) >= 1.0)&&(sqrt($1**2+$2**2+$3**2) < 2.0)) {print $4,$12}'" using 1:2 title "1<r<2" with p\
,"< paste data/aveRawVelocityCSV_SimRegion.txt sets/latestTime/measuring_magU_k.xy | awk '(sqrt($1**2+$2**2+$3**2) >= 2.0) {print $4,$12}'" using 1:2 title "r>2" with p\
,x title "" with l 0\
,0.5*x title "" with l 0 \
,2*x title "" with l 0 \
,f(x) title "" with l lt 1 lw 3
#    EOF
